Package: org.gmetrics.metric.coupling

## [Groovy] Class AbstractPackageCouplingMetric

- org.gmetrics.metric.coupling.AbstractPackageCouplingMetric

- Abstract superclass for Metrics that measure package-level coupling.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `REFERENCED_PACKAGES` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetricLevel` | `baseLevel`
    `String` | `ignorePackageNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractPackageCouplingMetric ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassMetricResult` | `calculateForClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMetric` | `applyToClass, applyToPackage, calculateForClass, calculateForPackage, createAggregateMetricResult, isNotAnInterface`

- - ### Field Detail

    - #### protected static final String REFERENCED_PACKAGES

  - ### Property Detail

    - #### final MetricLevel baseLevel

    - #### String ignorePackageNames

  - ### Constructor Detail

    - #### AbstractPackageCouplingMetric()

  - ### Method Detail

    - #### @Override protected ClassMetricResult calculateForClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)